General ledger lines of an account report
curl --request GET \
--url https://api.breezing.io/v1/reports/{id}/ledgerimport requests
url = "https://api.breezing.io/v1/reports/{id}/ledger"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.breezing.io/v1/reports/{id}/ledger', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.breezing.io/v1/reports/{id}/ledger",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.breezing.io/v1/reports/{id}/ledger"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.breezing.io/v1/reports/{id}/ledger")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.breezing.io/v1/reports/{id}/ledger")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"mode": "account",
"report": {
"id": 123,
"name": "<string>",
"dateFrom": "<string>",
"dateTo": "<string>",
"currency": "<string>"
},
"account": {
"code": "<string>",
"name": "<string>",
"openingBalance": "<string>",
"periodDebit": "<string>",
"periodCredit": "<string>",
"closingBalance": "<string>"
},
"accounts": [
{
"code": "<string>",
"name": "<string>",
"openingBalance": "<string>",
"periodDebit": "<string>",
"periodCredit": "<string>",
"closingBalance": "<string>"
}
],
"lines": [
{
"key": "<string>",
"date": "<string>",
"source": "transaction",
"label": "<string>",
"description": "<string>",
"detail": "<string>",
"reference": "<string>",
"note": "<string>",
"debit": "<string>",
"credit": "<string>",
"tax": "<string>",
"taxRate": "<string>",
"taxRateName": "<string>",
"trxId": 123,
"invoiceId": 123,
"walletId": 123,
"walletName": "<string>",
"contactName": "<string>",
"runningBalance": "<string>",
"accountCode": "<string>"
}
],
"nextCursor": "<string>",
"complete": true,
"scanned": 123,
"totals": {
"debit": "<string>",
"credit": "<string>",
"balance": "<string>"
}
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}Reports
Get Report Ledger API
Retrieve the general ledger lines behind a finished Breezing account report, for one account with a running balance or all accounts.
GET
/
reports
/
{id}
/
ledger
General ledger lines of an account report
curl --request GET \
--url https://api.breezing.io/v1/reports/{id}/ledgerimport requests
url = "https://api.breezing.io/v1/reports/{id}/ledger"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.breezing.io/v1/reports/{id}/ledger', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.breezing.io/v1/reports/{id}/ledger",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.breezing.io/v1/reports/{id}/ledger"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.breezing.io/v1/reports/{id}/ledger")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.breezing.io/v1/reports/{id}/ledger")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"mode": "account",
"report": {
"id": 123,
"name": "<string>",
"dateFrom": "<string>",
"dateTo": "<string>",
"currency": "<string>"
},
"account": {
"code": "<string>",
"name": "<string>",
"openingBalance": "<string>",
"periodDebit": "<string>",
"periodCredit": "<string>",
"closingBalance": "<string>"
},
"accounts": [
{
"code": "<string>",
"name": "<string>",
"openingBalance": "<string>",
"periodDebit": "<string>",
"periodCredit": "<string>",
"closingBalance": "<string>"
}
],
"lines": [
{
"key": "<string>",
"date": "<string>",
"source": "transaction",
"label": "<string>",
"description": "<string>",
"detail": "<string>",
"reference": "<string>",
"note": "<string>",
"debit": "<string>",
"credit": "<string>",
"tax": "<string>",
"taxRate": "<string>",
"taxRateName": "<string>",
"trxId": 123,
"invoiceId": 123,
"walletId": 123,
"walletName": "<string>",
"contactName": "<string>",
"runningBalance": "<string>",
"accountCode": "<string>"
}
],
"nextCursor": "<string>",
"complete": true,
"scanned": 123,
"totals": {
"debit": "<string>",
"credit": "<string>",
"balance": "<string>"
}
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}Query Parameters
Last modified on November 13, 2026